.\" Copyright 1995-9 Ricardo Ueda Karpischek (ueda@ime.usp.br)
.\"
.TH CONJUGUE 1.1 "18 de outubro de 1999" "br.ispell" "br.ispell"
.SH NOME
conjugue \- conjugador de verbos da lngua portuguesa
.SH SINOPSE
.B conjugue [-v VARIVEL=valor] ...
.br
.SH DESCRIO
.B conjugue
l um banco de verbos contendo paradigmas e listas de
verbos que se conjugam segundo cada paradigma, e permite conjugar
verbos atravs de um interface iterativa ou na forma de um
comando simples dado no prompt do shell.

Pode-se passar parmetros para o
.B conjugue
atravs da opo
.B -v
do
.B awk,
que permite predefinir o valor de uma varivel. As variveis
no caso so:

.TP
.B BANCO
Path completo do banco de verbos (default /usr/lib/ispell-brazilian/verbos).

.TP
.B NOVOS
Path completo do arquivo onde o
.B conjugue
apenda verbos novos, que no constam ainda do banco
(default $HOME/.conjugue-novos).

.TP
.B FORMATO
Formato da sada. A sada  a conjugao do(s) verbos que se
deseja conjugar. As possibilidades para a sada so:
.B c
(curto, usado para gerar listas de palavras),
.B n
(normal, o formato original, um pouco crptico),
.B ci
(usado para gerar o dicionrio do br.ispell),
.B l
(longo, um pouco menos crptico do que o "n") e
.B ll
(muito longo, semelhante ao que as gramticas costumam usar). O
formato default 
.B l.

.TP
.B CMD
Execute esse comando. Nesse caso, o
.B conjugue
executa o comando dado e abandona. De outra forma, o
.B conjugue
apresentar um prompt para a entrada de comandos iterativos. Os
comandos disponveis so
.B ?
para mostrar um sumrio dos comandos,
.B a
para listar as abreviaes,
.B n
para exibir algumas notas,
.B f
para abandonar, e
.B T
para conjugar todos os verbos do banco. Para conjugar um verbo
determinado, basta entrar com esse verbo no prompt de comandos
(ou indic-lo na linha de comandos como valor inicial de
.B CMD
).

.SH EXEMPLOS

1. Conjugar o verbo "amar" com a sada no formato muito longo:

$ conjugue -v FORMATO=ll -v CMD=amar

2. Entrar no modo iterativo e exibe as conjugaes no formato
muito longo:

$ conjugue -v FORMATO=ll

3. Conjugar todos os verbos do banco explicitado, gerando uma
lista de radicais para o br.ispell:

$ conjugue -v BANCO=verbos -v FORMATO=ci -v CMD=T

.SH BANCO DE VERBOS

.br
O Banco de verbos contm a conjugao dos paradigmas e, para cada um
deles, uma lista de verbos que se conjugam segundo aquele paradigma.
Cada paradigma pode conter tambm informaes para a heurstica que
deduz o paradigma a ser utilizado nos casos em que o banco no contm
essa informao. Segue uma descrio do formato do banco de verbos:

.br
S == [a-z]+
.br
V == Sr
.br
L == [S(,S)*]
.br
F == L(:L)*
.br
T == FN|IP|PI|II|EI|MI|TI|FI|PS|IS|FS|IA|IN
.br
P == paradigma:V[:S]<lf>(T:F<lf>)*<lf>
.br
A == abundante:V:L<lf>
.br
B == [[P(V\n)*]|[A]]*

.br
O banco pode conter, em qualquer posio, linhas comeadas com
o caracter "#" ou linhas em branco, que so desprezadas.

.br
Em termos semnticos, os smbolos da gramtica representam:

.br
S String no nula
.br
V Verbo
.br
L Lista de strings
.br
F Flexo num tempo ou modo
.br
T Nome de tempo ou modo
.br
P Paradigma
.br
A Particpio abundante
.br
B Banco

O termo <lf>  uma quebra de linha. A lista de verbos que segue
um dado paradigma so os verbos que se conjugam conforme aquele
paradigma. A string eventualmente dada como ltimo componente na
linha P  a terminao que heursticamente ser utilizada para
decidir quando usar aquele paradigma (no caso de verbos que no
especificam um paradigma).

.SH REGRAS DE TRANSFORMAO DE RADICAIS

.br
Alguns verbos irregulares tm o radical alterado ao longo da
conjugao. Por esse motivo,  necessrio que o programa deduza a
partir do paradigma uma regra de alterao do radical, que ser
aplicada em todos os verbos que seguem aquele paradigma. Por
exemplo, no verbo "seguir" a vogal "e" do radical  trocada por
"i" em alguns casos ("eu sigo").

.br
O modo com que isso vem sendo tratado  meramente conhecer de
antemo os tipos de alteraes de radicais, e codific-las. At o
momento foi possvel codificar todas as regras de modificao de
radicais atravs de variaes de uma nica regra, a saber, a
substituio da ltima vogal do radical ou da ltima vogal do
radical aps o descarte da sua ltima letra.

.br
O funo
.B normaliza
do script contm uma tabela de transformao de vogais que cobre
todas as transformaes conhecidas at o momento. Na
eventualidade do conjugue exibir a mensagem "vogal no
normalizada" ao ser iniciado, ser necessrio incluir uma nova
regra de substituio de vogais na funo
.B normaliza,
e a sua inversa na funo
.B desnormaliza.
O script documenta como adicionar novas regras.

.SH FORMAS ENCLTICAS

.br
A nclise em alguns casos provoca alterao ortogrfica do verbo, como
por exemplo "am-la" (amar+ela). A partir da verso 1.1 o conjugue
possui suporte especfico para gerar algumas dessas formas, mas isso
s est ativo quando o formato de sada  "ci". Para maiores detalhes,
cheque por favor o fonte do conjugue.

.SH ARQUIVOS

.br
/usr/lib/ispell-brazilian/verbos - banco de verbos.

.br
$HOME/.conjugue-novos - arquivo para apendar verbos que no
constam do banco.

.SH BUGS

.br
O arquivo no qual vo sendo apendados verbos novos no  lido pelo
conjugue na inicializao.

.br
A ocorrncia de um mesmo verbo mais de uma vez no banco provoca
malfuncionamento do programa.

.br
Essa man page contm caracteres acentuados, que em alguns sistemas
talvez no sejam exibidos. Para visualiz-la corretamente, utilize
um fonte ISO e, se o
.B groff
estiver disponvel, tente o comando

.br
$ groff -Tlatin1 -man conjugue.1|more

.SH VER TAMBM
.BR ispell (1),
.SH AUTOR
Ricardo Ueda Karpischek <ueda@ime.usp.br>
